Bug 1601531 - PackageKit does not remove older package versions when it downloads newer ones
Summary: PackageKit does not remove older package versions when it downloads newer ones
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: PackageKit
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-16 14:50 UTC by Hans de Goede
Modified: 2018-12-07 02:37 UTC (History)
5 users (show)

Fixed In Version: PackageKit-1.1.12-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-12-07 02:37:56 UTC


Attachments (Terms of Use)

Description Hans de Goede 2018-07-16 14:50:25 UTC
Description of problem:

If a package gets frequent update and the user does not select reboot to install updates very frequently then packagekit will keep the older version of the package after downloading a newer version.

Worse packagekit will keep this older version around even after successfully applying offline updates.

Version-Release number of selected component (if applicable):
PackageKit-1.1.10-1.fc28.x86_64

How reproducible:
Let packagekit download updates for offline updating, but do not apply them for say 2 weeks.

Actual results:

[hans@shalem ~]$ sudo du -s /var/cache/PackageKit
1120580 /var/cache/PackageKit

This is just *after* applying offline updates:

[hans@shalem ~]$ sudo du -s /var/cache/PackageKit/28/metadata/updates-testing/packages/
844144  /var/cache/PackageKit/28/metadata/updates-testing/packages/

[hans@shalem ~]$ ls /var/cache/PackageKit/28/metadata/updates-testing/packages/
<snip>
wine-system-fonts-3.11-1.fc28.noarch.rpm
<snip>

[hans@shalem ~]$ rpm -q wine-system-fonts
wine-system-fonts-3.12-1.fc28.noarch

Expected results:
PackageKit removes older packages when downloading new ones and/or after
applying offline updates, /var/cache/PackageKit only contains metadata, all packages dirs are empty immediately after applying offline updates.

Comment 1 Hans de Goede 2018-07-16 14:51:03 UTC
[hans@shalem ~]$ sudo rm -rf /var/cache/PackageKit/28/metadata/*/packages
[hans@shalem ~]$ sudo du -s /var/cache/PackageKit
234680  /var/cache/PackageKit

Comment 2 Jan Kurik 2018-08-14 09:53:00 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 3 Kalev Lember 2018-11-24 13:40:09 UTC
This should be now fixed in https://github.com/hughsie/PackageKit/commit/66f2966fb6484a86324f98302659c5f27a02b1b5

Comment 4 Fedora Update System 2018-11-28 09:00:39 UTC
PackageKit-1.1.12-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-c3dd0383fa

Comment 5 Fedora Update System 2018-11-29 03:16:31 UTC
PackageKit-1.1.12-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-c3dd0383fa

Comment 6 Fedora Update System 2018-12-07 02:37:56 UTC
PackageKit-1.1.12-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.